/**
 * @file  osw_base.c
 * @brief OSW 基本機能実装
 *
 * Copyright (c)  2003 - 2015  Nomura Kei
 * License : THE MIT LIcense <http://opensource.org/license/mit-license.php)
 */
#include <osw_base.h>


/**
 * 関数トレース機能.
 * 本メソッドを関数内で call することにより,
 * 関数トレース機能が利用できます.
 *
 * @param file  ソースファイル名
 * @param line  ソース行番号
 * @param func  関数名
 */
void osw_trace_impl(const char* file, int line, const char* func)
{
	UNUSED_VARIABLE(file);
	UNUSED_VARIABLE(line);
	UNUSED_VARIABLE(func);
}

